GNU bug report logs - #59278
gcc@7 and higher are not hidden packages

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: bbb ee <blasforr@HIDDEN>; dated Tue, 15 Nov 2022 06:17:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to 'gcc@7 and higher are not hidden packages' from 'how gcc-toolchain can depends a package who doesn't exists?' Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 59278 <at> debbugs.gnu.org:


Received: (at 59278) by debbugs.gnu.org; 16 Nov 2022 09:33:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 04:33:36 2022
Received: from localhost ([127.0.0.1]:56097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovEnX-0006W1-VS
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 04:33:36 -0500
Received: from mail-wm1-f41.google.com ([209.85.128.41]:38879)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ovEnR-0006VI-7m
 for 59278 <at> debbugs.gnu.org; Wed, 16 Nov 2022 04:33:32 -0500
Received: by mail-wm1-f41.google.com with SMTP id
 i186-20020a1c3bc3000000b003cfe29a5733so1141549wma.3
 for <59278 <at> debbugs.gnu.org>; Wed, 16 Nov 2022 01:33:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=zMjfbuu/P+XOwdAtvW2IdudvRGR44mFNZAgEQM0CkXQ=;
 b=SyU8qswpOwKogyT7GALpM+ICSQx6hPKuLH67F9D6BK3vsPUr+2C4aVSXfGJB/rsmwc
 vN269ABVgjiK3mL/L4bURYwhLRk3FylFEwNAPVfBaYiCRkrdQ6reaFY+qXF2gkN+lOkH
 5BQg2CVPVQJVBDCwRK5F86Q04+4RQeKi9cH3Wk4BSl+H9CqFZN8FgTP36F2gnQvt/34a
 0Tlbs4M/REDZRsJEXOe4V6qIVJ3MLVJv+P9vKQ3stodnBDQNT4los3j6qO7i2Res6+bJ
 85X3bHOO94S0urWlpr26sR3+mIxS6uIL5o20XKnNrHBPODA1RZ9tFJYd46H3v4LNJApr
 5ECw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=zMjfbuu/P+XOwdAtvW2IdudvRGR44mFNZAgEQM0CkXQ=;
 b=Kj7CxSz8Bujat3isFD1TYEW59+LDZowJIA1s4QxMzwReM88vrsqd+8sbPAhf7m6OtV
 krvlqw+XqRpiVFbaCXgujRTixACCaQwVjY+L/guWMUl2vI52r8hCsMycMnnXvUax/g3b
 IEEqb/mfOcFt0cD5zRwRsCKCIcti4RT72gKqfn2aJapXLw5Vf1yNsdScyV56MDOMNPsP
 EHf3SrZwyZjpPC0j2oeG9G+ya3oq/QVLPi/IFa4Qkk7zCpFbrWxT55MZU43athkeRNCt
 CrOO8+xe4S4jYosyCkp8WI7w1SFI8p42HdHsEXmyGkOoFuJOqCY4HGanxzU1QHvscI8g
 J/BA==
X-Gm-Message-State: ANoB5plw0d9ifToR7pnxW7Jxw/HzekStTGpYj6s+BY8ox0XCzisJzH0i
 eIv7NAYW7SmCFhL57TlYF/EdZ8NB9gE=
X-Google-Smtp-Source: AA0mqf72toH4YAxbp6jPKTSsGlLWi3HauMvM1aw5RD3qCXCeXpBQwRIECWuO2lrBbbATMPzh7wqSdw==
X-Received: by 2002:a05:600c:1e8c:b0:3cf:8aa0:cbec with SMTP id
 be12-20020a05600c1e8c00b003cf8aa0cbecmr1463248wmb.161.1668591203384; 
 Wed, 16 Nov 2022 01:33:23 -0800 (PST)
Received: from pfiuh07 ([193.48.40.241]) by smtp.gmail.com with ESMTPSA id
 k5-20020adff5c5000000b0022e344a63c7sm14541643wrp.92.2022.11.16.01.33.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 16 Nov 2022 01:33:22 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: bbb ee <blasforr@HIDDEN>
Subject: Re: bug#59278: how gcc-toolchain can depends a package who doesn't
 exists?
In-Reply-To: <CALNLCmVQqW-L_3dd1Nz0AmYFs=b+pnCTfsz+pTNgbYPzGZgL9w@HIDDEN>
References: <CALNLCmUJOyvfjELjW-YcF+hDgwxPH1SoEcZm2hMOAtmt6vr36g@HIDDEN>
 <864jv0k3r9.fsf@HIDDEN>
 <CALNLCmVQqW-L_3dd1Nz0AmYFs=b+pnCTfsz+pTNgbYPzGZgL9w@HIDDEN>
Date: Wed, 16 Nov 2022 09:53:26 +0100
Message-ID: <87h6yz46wp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59278
Cc: 59278 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Tue, 15 Nov 2022 at 22:42, bbb ee <blasforr@HIDDEN> wrote:

> It is just a little confusing for newcomers to guix. If we really want to
> improve something, I think that could be to give a more rigorous
> specification of the guix command:

I agree that the manual does not speak about the concept of
=E2=80=99hidden-package=E2=80=99, if I read correctly.  A note would be wel=
come, IMHO.

However, the commit you are referring is from 2020:

        c81457a5883ea43950eb2ecdcbb58a5b144bcd11
        Author:     Ludovic Court=C3=A8s <ludo@HIDDEN>
        AuthorDate: Fri May 8 16:34:58 2020 +0200
        Commit:     Ludovic Court=C3=A8s <ludo@HIDDEN>
        CommitDate: Fri May 8 16:34:58 2020 +0200

        gnu: gcc-toolchain: Add 10.1.0.

        * gnu/packages/commencement.scm (gcc-toolchain-10): New variable.

        1 file changed, 3 insertions(+)
        gnu/packages/commencement.scm | 3 +++

and many things have been improved since. ;-)


For instance, using 00ff6f7 (from ~Oct 2022), it reads,

--8<---------------cut here---------------start------------->8---
$ guix search gcc | recsel -p name,version | head -30
name: gcc
version: 12.2.0

name: gcc
version: 11.3.0

name: gcc
version: 10.3.0

name: gcc
version: 9.5.0

name: gcc
version: 8.5.0

name: gcc
version: 7.5.0

name: gcc
version: 2.95.3

name: gcc-toolchain
version: 12.2.0

name: gcc-toolchain
version: 11.3.0

name: gcc-toolchain
version: 10.3.0
--8<---------------cut here---------------end--------------->8---

Wait, contrary to what I said, the packages are not hidden when they
should be!  For example, gcc@4m @5 and @6 are not displayed but @7 is.

--8<---------------cut here---------------start------------->8---
$ guix show gcc@6
guix show: error: gcc@6: package not found

$ guix show gcc@7
name: gcc
version: 7.5.0
outputs:
+ lib: shared libraries
+ debug: debug information
+ out: everything else
systems: x86_64-linux i686-linux
dependencies: gmp@HIDDEN isl@HIDDEN libelf@HIDDEN libstdc++-headers@HIDDEN mpc=
@1.2.1 mpfr@HIDDEN perl@HIDDEN texinfo@HIDDEN zlib@HIDDEN
location: gnu/packages/gcc.scm:601:2
homepage: https://gcc.gnu.org/
license: GPL 3+
synopsis: GNU Compiler Collection=20=20
description: GCC is the GNU Compiler Collection.  It provides compiler fron=
t-ends for several languages, including C, C++, Objective-C, Fortran, Ada, =
and
+ Go.  It also includes runtime support libraries for these languages.
--8<---------------cut here---------------end--------------->8---

It is because the =E2=80=99properties=E2=80=99 field of gcc@7 is rewritten,

--8<---------------cut here---------------start------------->8---
(define-public gcc-7
  (package
    (inherit gcc-6)
    (version "7.5.0")
[...]
    (properties
     `((compiler-cpu-architectures
        ("aarch64" ,@%gcc-7.5-aarch64-micro-architectures)
        ("armhf" ,@%gcc-7.5-armhf-micro-architectures)
        ("x86_64" ,@%gcc-7.5-x86_64-micro-architectures))))))
--8<---------------cut here---------------end--------------->8---

and thus, it looses =E2=80=99hidden=E2=80=99, as shown here:

--8<---------------cut here---------------start------------->8---
$ guix repl
GNU Guile 3.0.8
Copyright (C) 1995-2021 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guix-user)> ,use(gnu packages gcc)
scheme@(guix-user)> (package-properties gcc-6)
$1 =3D ((hidden? . #t) (gcc-libc . #f))
scheme@(guix-user)> (package-properties gcc-7)
$2 =3D ((compiler-cpu-architectures ("aarch64" "armv8-a" "armv8.1-a" "armv8=
.2-a" "armv8.3-a") ("armhf" "armv7" "armv7-a" "armv7-m" "armv7-r" "armv7e-m=
" "armv7ve" "armv8-a" "armv8-a+crc" "armv8.1-a" "armv8.1-a+crc" "armv8-m.ba=
se" "armv8-m.main" "armv8-m.main+dsp" "iwmmxt" "iwmmxt2") ("x86_64" "core2"=
 "nehalem" "westmere" "sandybridge" "ivybridge" "haswell" "broadwell" "skyl=
ake" "bonnell" "silvermont" "knl" "skylake-avx512" "k8" "k8-sse3" "barcelon=
a" "bdver1" "bdver2" "bdver3" "bdver4" "znver1" "btver1" "btver2" "geode")))
scheme@(guix-user)>
--8<---------------cut here---------------end--------------->8---


Thanks, there is indeed a bug. ;-)


Back to the initial report, what could be improved is the display of the
field =E2=80=99dependencies=E2=80=99; distinguishing regular packages to hi=
dden ones.
And maybe instead of a plain error =E2=80=9Cpackage not found=E2=80=9D, the=
 command
=E2=80=9Cguix show=E2=80=9D could error which =E2=80=9Cnon installable pack=
age=E2=80=9D or something
like that.


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#59278; Package guix. Full text available.

Message received at 59278 <at> debbugs.gnu.org:


Received: (at 59278) by debbugs.gnu.org; 15 Nov 2022 22:04:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 17:04:58 2022
Received: from localhost ([127.0.0.1]:55446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ov438-0003iy-1a
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 17:04:58 -0500
Received: from mail-ot1-f45.google.com ([209.85.210.45]:38503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <blasforr@HIDDEN>) id 1ov434-0003ik-7Z
 for 59278 <at> debbugs.gnu.org; Tue, 15 Nov 2022 17:04:56 -0500
Received: by mail-ot1-f45.google.com with SMTP id
 w26-20020a056830061a00b0066c320f5b49so9359738oti.5
 for <59278 <at> debbugs.gnu.org>; Tue, 15 Nov 2022 14:04:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=/vxu1TMdMgZPULlqgvt0R4BWVQTqAjGtM3BpOZNaQyE=;
 b=kHjy1QLuozNIgt8Tq2gRrYd8Ys33pZ0dba+GGJLr4pfZPPWZydYG1ykRp8NhbGWz9p
 Qjky5pvgBGJ0Tcu0kX6yE3MKSPgDBqtT+QPKouqrYzgN5MpnC5m7fqa98Z1LKtqQ3j9b
 PLvsiKpPFNHzccw+XJ1TTbxvRIeUyo/oHhStji3dx/HqxJTb59p3MJ2BsHWHzqF7Qzlh
 cRyYbRfn++5iF9p/wyNynZs74dQfZohvXE9EV32NcvkSvPGhN75wx811Msdz8DF4e4SH
 xwP6lj0REvCwFaSuhoR6cd5kkwbkQaK1OSdPUA6zCYzamp4+PDg60W1zAlhHCNDLsOcr
 dgTQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=/vxu1TMdMgZPULlqgvt0R4BWVQTqAjGtM3BpOZNaQyE=;
 b=ttGikkPpeTBjmTT8W7mFVGcPcgD2EomGCTi+L1wQ5aVo9iOgTc7TC+v75dpjUO+6q+
 jgUiNmFKXNaRkOBRF43tFzoKdjBdAf/Vt8gR1A3riyn85vy/GXP3nSOjFNqAJvSfO/u6
 Mq9vHUShdJ/tBpxb7+VP1u8ER5GL11/W7lAoFvAcJwLGA2q0aiuZtcd+51nzBXfhx0wa
 Tmdir/ltELaofcmPVh1wZXwwoeyp4uUL0MuYZ3SRe4PuLyjW2yiq+9+6V+tCaffamYgk
 RWBEeLesVffdqNm+Gsvi2NSPb5djlMze/LljhWVUtt+6C358686z7XNsO8qZ0D8GIYLH
 Vykg==
X-Gm-Message-State: ANoB5pnFqsPR0bqiHSyPNk4rQoz/oH4RMzokYm8JUsoVgN410wtyxUOD
 dL2eZaJm45YXRuk7V2UPKnEft7v0JnEgGs93EbU=
X-Google-Smtp-Source: AA0mqf7PuGrIXORCDHErmhmfumeBoV0zywm2wkXHYZpRvl92aLV4JwpjsCKio0CdmAUfq+oH/nbhSKJxXZ/gBxFYiVA=
X-Received: by 2002:a05:6830:d13:b0:661:abab:aa4d with SMTP id
 bu19-20020a0568300d1300b00661ababaa4dmr9536688otb.382.1668549888590; Tue, 15
 Nov 2022 14:04:48 -0800 (PST)
MIME-Version: 1.0
References: <CALNLCmUJOyvfjELjW-YcF+hDgwxPH1SoEcZm2hMOAtmt6vr36g@HIDDEN>
 <864jv0k3r9.fsf@HIDDEN>
In-Reply-To: <864jv0k3r9.fsf@HIDDEN>
From: bbb ee <blasforr@HIDDEN>
Date: Tue, 15 Nov 2022 23:04:36 +0100
Message-ID: <CALNLCmU9ZtHLpW2M8V2LAc7=YYv4NCEMbb5h4AAgcUHZEMpzSg@HIDDEN>
Subject: Re: bug#59278: how gcc-toolchain can depends a package who doesn't
 exists?
To: zimoun <zimon.toutoune@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000006648c105ed898b4e"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59278
Cc: 59278 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000006648c105ed898b4e
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

In the documentation, when it says "guix search" search matching package,
if users don't find a package defined in .scm (hidden or no), users can
consider it is a bug, because that doesn't match the behavior described in
the specification (here, the manual and "guix search --help").

Le mar. 15 nov. 2022 =C3=A0 15:54, zimoun <zimon.toutoune@HIDDEN> a =C3=
=A9crit :

> Hi,
>
> On Tue, 15 Nov 2022 at 00:53, bbb ee <blasforr@HIDDEN> wrote:
>
> > in commit c81457, how gcc-toolchain can depends a package who doesn't
> > exists?
>
> The package exists, it is =E2=80=99hidden=E2=80=99 =E2=80=93 it means not=
 accessible at the CLI
> level.  The =E2=80=99inherit=E2=80=99 copies, so gcc-11 is also hidden, f=
or instance.
>
> --8<---------------cut here---------------start------------->8---
> (define-public gcc-4.7
> [...]
>     (hidden-package
>      (package
>        (name "gcc")
>        (version "4.7.4")
>
> (define-public gcc-4.8
>   (package (inherit gcc-4.7)
>     (version "4.8.5")
>
> [...]
>
> (define-public gcc-11
>   (package
>    (inherit gcc-8)
>    (version "11.3.0")
> --8<---------------cut here---------------end--------------->8---
>
> The package =E2=80=99gcc=E2=80=99 by itself is not barely useful because =
you also need
> linker etc. Well, you usually need a complete toolchain, named
> gcc-toolchain. ;-)
>
> See manual: <
> https://guix.gnu.org/manual/devel/en/guix.html#The-GCC-toolchain>
>
>
> So this is not a bug and I miss how what could be improved.  Closing?
>
> Cheers,
> simon
>

--0000000000006648c105ed898b4e
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">In the documentation, when it says &quot;guix search&quot;=
 search matching package, if users don&#39;t find a package defined in .scm=
 (hidden or no), users can consider it is a bug, because that doesn&#39;t m=
atch the behavior described in the specification (here, the manual and &quo=
t;guix search --help&quot;).<br></div><br><div class=3D"gmail_quote"><div d=
ir=3D"ltr" class=3D"gmail_attr">Le=C2=A0mar. 15 nov. 2022 =C3=A0=C2=A015:54=
, zimoun &lt;<a href=3D"mailto:zimon.toutoune@HIDDEN">zimon.toutoune@gma=
il.com</a>&gt; a =C3=A9crit=C2=A0:<br></div><blockquote class=3D"gmail_quot=
e" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204)=
;padding-left:1ex">Hi,<br>
<br>
On Tue, 15 Nov 2022 at 00:53, bbb ee &lt;<a href=3D"mailto:blasforr@HIDDEN=
om" target=3D"_blank">blasforr@HIDDEN</a>&gt; wrote:<br>
<br>
&gt; in commit c81457, how gcc-toolchain can depends a package who doesn&#3=
9;t<br>
&gt; exists?<br>
<br>
The package exists, it is =E2=80=99hidden=E2=80=99 =E2=80=93 it means not a=
ccessible at the CLI<br>
level.=C2=A0 The =E2=80=99inherit=E2=80=99 copies, so gcc-11 is also hidden=
, for instance.<br>
<br>
--8&lt;---------------cut here---------------start-------------&gt;8---<br>
(define-public gcc-4.7<br>
[...]<br>
=C2=A0 =C2=A0 (hidden-package<br>
=C2=A0 =C2=A0 =C2=A0(package<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0(name &quot;gcc&quot;)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0(version &quot;4.7.4&quot;)<br>
<br>
(define-public gcc-4.8<br>
=C2=A0 (package (inherit gcc-4.7)<br>
=C2=A0 =C2=A0 (version &quot;4.8.5&quot;)<br>
<br>
[...]<br>
<br>
(define-public gcc-11<br>
=C2=A0 (package<br>
=C2=A0 =C2=A0(inherit gcc-8)<br>
=C2=A0 =C2=A0(version &quot;11.3.0&quot;)<br>
--8&lt;---------------cut here---------------end---------------&gt;8---<br>
<br>
The package =E2=80=99gcc=E2=80=99 by itself is not barely useful because yo=
u also need<br>
linker etc. Well, you usually need a complete toolchain, named<br>
gcc-toolchain. ;-)<br>
<br>
See manual: &lt;<a href=3D"https://guix.gnu.org/manual/devel/en/guix.html#T=
he-GCC-toolchain" rel=3D"noreferrer" target=3D"_blank">https://guix.gnu.org=
/manual/devel/en/guix.html#The-GCC-toolchain</a>&gt;<br>
<br>
<br>
So this is not a bug and I miss how what could be improved.=C2=A0 Closing?<=
br>
<br>
Cheers,<br>
simon<br>
</blockquote></div>

--0000000000006648c105ed898b4e--




Information forwarded to bug-guix@HIDDEN:
bug#59278; Package guix. Full text available.

Message received at 59278 <at> debbugs.gnu.org:


Received: (at 59278) by debbugs.gnu.org; 15 Nov 2022 21:42:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 16:42:27 2022
Received: from localhost ([127.0.0.1]:55420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ov3hK-00037L-PX
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 16:42:27 -0500
Received: from mail-lj1-f175.google.com ([209.85.208.175]:44873)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <blasforr@HIDDEN>) id 1ov3hF-000375-7p
 for 59278 <at> debbugs.gnu.org; Tue, 15 Nov 2022 16:42:24 -0500
Received: by mail-lj1-f175.google.com with SMTP id s24so19346041ljs.11
 for <59278 <at> debbugs.gnu.org>; Tue, 15 Nov 2022 13:42:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=brE2TfRuQOUk/bF43s8Wdkv9n5V04+HBVn83DISw3wM=;
 b=FECktvUcGTdjq0Fr8yjk0KFnP0tONqzLuPTesg8jmijXyi9z2a2KRR0LjbKaMwDLXi
 7ywqz9CAhUpbORQhdrrz1T0HJjQec7ZdjVqQyDdXb0N4TAQjnyw+uwlm9QYIV3qBpuoR
 ZkOJHaUGFhcORg8JGkKXVhtAmoUc98Xlw7p7K81FHha8AnVAqoX369HfJ6qqN+yYS7ed
 P1DPCEqGmqbnCi0Q/zQo9QEJ9TH2WX5xxgFn17295WhQusfjGK42QeLfNs2GKuaHzxlJ
 BTXGesgC132fyLVGbmDCghq560fshKtHBt0ada61uwD0/X86qrGCemXdblqhXX7VBN4r
 bvIQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=brE2TfRuQOUk/bF43s8Wdkv9n5V04+HBVn83DISw3wM=;
 b=X6qTqn+mrBeq/nABi+V2O9rBli1QJpXaIYDfAvQZNnd3kQKVJ+eOAsI4f6DmHkiRvl
 2F0S1u7tbqGQLUHofs4O7HhXwmBy7p0secBDg0PfcEXOA0+NbSMOxA8EcBbYvCnMejcu
 Nm1PKwUAH4s7CDhDjA7HFr28O0Pzr1LGIypeqOj89OBJzUgZ7ie+c8EczBuRJY+1oEuh
 WMDZpZEwAgzFuUd5zK4PKoWW/92LzxNTp6lQSEKc4yk5bcCntGsO+fU8/deh4upm9lno
 G7+ZuyFVoV++2VFtKaxf00EWO1uOO0A4tgfGMo1vAesRkpVQGEMdVDuZ3BCUXWc/mhSM
 472A==
X-Gm-Message-State: ANoB5pnMJngDCgMH9BYbCXL8aIBPJl/PhcyGtJS+k7Lwko2X8uy381Nr
 ZzRhsRKtGBYO59IbwAhDk3JPwGjmaseP2p8WqaU=
X-Google-Smtp-Source: AA0mqf674CkNnCsoP40sFUZhNw2TJb14VSzhDsj4mbltSbYlAU1yFVZG9kGLD5R+uwV4s4B/H4t2v2TpDD8XnKdGQk4=
X-Received: by 2002:a05:651c:1584:b0:26f:b146:6226 with SMTP id
 h4-20020a05651c158400b0026fb1466226mr6334718ljq.345.1668548533861; Tue, 15
 Nov 2022 13:42:13 -0800 (PST)
MIME-Version: 1.0
References: <CALNLCmUJOyvfjELjW-YcF+hDgwxPH1SoEcZm2hMOAtmt6vr36g@HIDDEN>
 <864jv0k3r9.fsf@HIDDEN>
In-Reply-To: <864jv0k3r9.fsf@HIDDEN>
From: bbb ee <blasforr@HIDDEN>
Date: Tue, 15 Nov 2022 22:42:02 +0100
Message-ID: <CALNLCmVQqW-L_3dd1Nz0AmYFs=b+pnCTfsz+pTNgbYPzGZgL9w@HIDDEN>
Subject: Re: bug#59278: how gcc-toolchain can depends a package who doesn't
 exists?
To: zimoun <zimon.toutoune@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000a6c9e305ed893afd"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59278
Cc: 59278 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000a6c9e305ed893afd
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

It is just a little confusing for newcomers to guix. If we really want to
improve something, I think that could be to give a more rigorous
specification of the guix command:

in `guix search --help`, the documentation could be "Search for no hidden
packages matching REGEXPS."

in
https://guix.gnu.org/manual/en/html_node/Invoking-guix-package.html#Invokin=
g-guix-package,
in the specification of the option -s :
"-s regexp

List the available packages whose name, synopsis, or description matches
regexp
"
What exactly means  "available" ?  For example, available means no hidden
guix package.

And in

Le mar. 15 nov. 2022 =C3=A0 15:54, zimoun <zimon.toutoune@HIDDEN> a =C3=
=A9crit :

> Hi,
>
> On Tue, 15 Nov 2022 at 00:53, bbb ee <blasforr@HIDDEN> wrote:
>
> > in commit c81457, how gcc-toolchain can depends a package who doesn't
> > exists?
>
> The package exists, it is =E2=80=99hidden=E2=80=99 =E2=80=93 it means not=
 accessible at the CLI
> level.  The =E2=80=99inherit=E2=80=99 copies, so gcc-11 is also hidden, f=
or instance.
>
> --8<---------------cut here---------------start------------->8---
> (define-public gcc-4.7
> [...]
>     (hidden-package
>      (package
>        (name "gcc")
>        (version "4.7.4")
>
> (define-public gcc-4.8
>   (package (inherit gcc-4.7)
>     (version "4.8.5")
>
> [...]
>
> (define-public gcc-11
>   (package
>    (inherit gcc-8)
>    (version "11.3.0")
> --8<---------------cut here---------------end--------------->8---
>
> The package =E2=80=99gcc=E2=80=99 by itself is not barely useful because =
you also need
> linker etc. Well, you usually need a complete toolchain, named
> gcc-toolchain. ;-)
>
> See manual: <
> https://guix.gnu.org/manual/devel/en/guix.html#The-GCC-toolchain>
>
>
> So this is not a bug and I miss how what could be improved.  Closing?
>
> Cheers,
> simon
>

--000000000000a6c9e305ed893afd
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div>It is just a little confusing for ne=
wcomers to guix. If we really want to improve something, I think that could=
 be to give a more rigorous specification of the guix command: <br></div><d=
iv><br></div><div>in `guix search --help`, the documentation could be &quot=
;Search for no hidden packages matching REGEXPS.&quot;</div><div><br></div>=
<div>in <a href=3D"https://guix.gnu.org/manual/en/html_node/Invoking-guix-p=
ackage.html#Invoking-guix-package">https://guix.gnu.org/manual/en/html_node=
/Invoking-guix-package.html#Invoking-guix-package</a>, in the specification=
 of the option -s :<br></div><div>&quot;<dt><samp>-s <var>regexp</var></sam=
p></dt><dd><span id=3D"gmail-guix_002dsearch"></span><span id=3D"gmail-inde=
x-searching-for-packages"></span>
<p>List the available packages whose name, synopsis, or description matches
<var>regexp</var> </p></dd>

&quot;<br></div><div>What exactly means=C2=A0 &quot;available&quot; ?=C2=A0=
 For example, available means no hidden guix package.</div><div><br></div><=
div>And in <br></div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" =
class=3D"gmail_attr">Le=C2=A0mar. 15 nov. 2022 =C3=A0=C2=A015:54, zimoun &l=
t;<a href=3D"mailto:zimon.toutoune@HIDDEN">zimon.toutoune@HIDDEN</a>&=
gt; a =C3=A9crit=C2=A0:<br></div><blockquote class=3D"gmail_quote" style=3D=
"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-le=
ft:1ex">Hi,<br>
<br>
On Tue, 15 Nov 2022 at 00:53, bbb ee &lt;<a href=3D"mailto:blasforr@HIDDEN=
om" target=3D"_blank">blasforr@HIDDEN</a>&gt; wrote:<br>
<br>
&gt; in commit c81457, how gcc-toolchain can depends a package who doesn&#3=
9;t<br>
&gt; exists?<br>
<br>
The package exists, it is =E2=80=99hidden=E2=80=99 =E2=80=93 it means not a=
ccessible at the CLI<br>
level.=C2=A0 The =E2=80=99inherit=E2=80=99 copies, so gcc-11 is also hidden=
, for instance.<br>
<br>
--8&lt;---------------cut here---------------start-------------&gt;8---<br>
(define-public gcc-4.7<br>
[...]<br>
=C2=A0 =C2=A0 (hidden-package<br>
=C2=A0 =C2=A0 =C2=A0(package<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0(name &quot;gcc&quot;)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0(version &quot;4.7.4&quot;)<br>
<br>
(define-public gcc-4.8<br>
=C2=A0 (package (inherit gcc-4.7)<br>
=C2=A0 =C2=A0 (version &quot;4.8.5&quot;)<br>
<br>
[...]<br>
<br>
(define-public gcc-11<br>
=C2=A0 (package<br>
=C2=A0 =C2=A0(inherit gcc-8)<br>
=C2=A0 =C2=A0(version &quot;11.3.0&quot;)<br>
--8&lt;---------------cut here---------------end---------------&gt;8---<br>
<br>
The package =E2=80=99gcc=E2=80=99 by itself is not barely useful because yo=
u also need<br>
linker etc. Well, you usually need a complete toolchain, named<br>
gcc-toolchain. ;-)<br>
<br>
See manual: &lt;<a href=3D"https://guix.gnu.org/manual/devel/en/guix.html#T=
he-GCC-toolchain" rel=3D"noreferrer" target=3D"_blank">https://guix.gnu.org=
/manual/devel/en/guix.html#The-GCC-toolchain</a>&gt;<br>
<br>
<br>
So this is not a bug and I miss how what could be improved.=C2=A0 Closing?<=
br>
<br>
Cheers,<br>
simon<br>
</blockquote></div></div>

--000000000000a6c9e305ed893afd--




Information forwarded to bug-guix@HIDDEN:
bug#59278; Package guix. Full text available.

Message received at 59278 <at> debbugs.gnu.org:


Received: (at 59278) by debbugs.gnu.org; 15 Nov 2022 14:54:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 09:54:51 2022
Received: from localhost ([127.0.0.1]:53639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouxKt-0004j5-6n
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 09:54:51 -0500
Received: from mail-wr1-f41.google.com ([209.85.221.41]:34526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ouxKs-0004ip-9J
 for 59278 <at> debbugs.gnu.org; Tue, 15 Nov 2022 09:54:50 -0500
Received: by mail-wr1-f41.google.com with SMTP id k8so24734463wrh.1
 for <59278 <at> debbugs.gnu.org>; Tue, 15 Nov 2022 06:54:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=aa5wBUO0zn7ZSDnFZx4gsVcsZLhkJm9QSI0uUMaUens=;
 b=BS7SWU16jRi09b+0JWzWu02iTTB5bQyGQwOTk7mghp9KK2jPYllleyGKfINL2ng5bE
 /TL6fxSuEMR0F2dLoXyT0qrPBp8o9sVC5Hy/XjzPShKVdFVgcrwFzrGRYfVMJSnR2krm
 iwRtBXr6Lmb7dfWpsh4613jmxUp95Krivm6QFQvcIdJxYZaDrThwLCwJonMSN7LBujPp
 EQJpFqfe29tVAAA4iQLXAwWBUbtVaM9FxY2mliIx+5kAqrnxUUzQGbRnn5/krh0kvHS+
 U/d81cXMlDmV/GMZX0HABBbX9Tq0BAcEbuJXdzBA0zvUPjaFu7Cd2PWPVBWxTVJ0gji1
 aCMw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:to:from:x-gm-message-state:from:to:cc:subject
 :date:message-id:reply-to;
 bh=aa5wBUO0zn7ZSDnFZx4gsVcsZLhkJm9QSI0uUMaUens=;
 b=qX5X1yxFf7A6gALTG+aQ7E5VmDs8mX+HnbstNFH0vOe9OEBaxUExi55kP6mcO4cLYd
 iUxQe+4rfhr/RzgS64sDO6/sD31T+yoO/Di7nwOB8QmfFQOB6oJTnHwmuhMUS5Jw7QGx
 HQAD49jXYgjLG5B6rvWiRN6LF0LA3gjS7O4gZ8lsw6ofh2QAUzMcFUR9mw71mrnD6AuD
 a3HlgeXC7IDOveD6131mFpJluK01shIBZDH9zRjcE7b1VYblyYw+CncXE/UqyuNAzxRs
 Av2nHH8ugiu4vr1XDTMtUy3QQjdqkxui/PS14T2Bt1r7f7TDw3WqYZUlXMSrIcURNPUH
 9tfw==
X-Gm-Message-State: ANoB5pn2Up/m6yk+EjyajQbgOZUJ5CXtABBAgDCUaR5WR701YU2+q4qj
 MzQeJtGAqcWSxxQ0Dv/+MB8gleOK9v0=
X-Google-Smtp-Source: AA0mqf4dpV8p7Z7v0ASkLzSKC+54sKAYdtlvsEoI4dMj4BL51iOTMpXUT/pMvBsMcjKGNBwksfBcag==
X-Received: by 2002:adf:f10e:0:b0:238:3d85:9262 with SMTP id
 r14-20020adff10e000000b002383d859262mr11334981wro.413.1668524084566; 
 Tue, 15 Nov 2022 06:54:44 -0800 (PST)
Received: from lili (roam-nat-fw-prg-194-254-61-41.net.univ-paris-diderot.fr.
 [194.254.61.41]) by smtp.gmail.com with ESMTPSA id
 bi19-20020a05600c3d9300b003c6c1686b10sm20712254wmb.7.2022.11.15.06.54.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 15 Nov 2022 06:54:44 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: bbb ee <blasforr@HIDDEN>, 59278 <at> debbugs.gnu.org
Subject: Re: bug#59278: how gcc-toolchain can depends a package who doesn't
 exists?
In-Reply-To: <CALNLCmUJOyvfjELjW-YcF+hDgwxPH1SoEcZm2hMOAtmt6vr36g@HIDDEN>
References: <CALNLCmUJOyvfjELjW-YcF+hDgwxPH1SoEcZm2hMOAtmt6vr36g@HIDDEN>
Date: Tue, 15 Nov 2022 09:42:34 +0100
Message-ID: <864jv0k3r9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, On Tue, 15 Nov 2022 at 00:53, bbb ee wrote: > in commit
 c81457, how gcc-toolchain can depends a package who doesn't > exists? 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.41 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.41 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 59278
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

Hi,

On Tue, 15 Nov 2022 at 00:53, bbb ee <blasforr@HIDDEN> wrote:

> in commit c81457, how gcc-toolchain can depends a package who doesn't
> exists?

The package exists, it is =E2=80=99hidden=E2=80=99 =E2=80=93 it means not a=
ccessible at the CLI
level.  The =E2=80=99inherit=E2=80=99 copies, so gcc-11 is also hidden, for=
 instance.

--8<---------------cut here---------------start------------->8---
(define-public gcc-4.7
[...]
    (hidden-package
     (package
       (name "gcc")
       (version "4.7.4")

(define-public gcc-4.8
  (package (inherit gcc-4.7)
    (version "4.8.5")

[...]

(define-public gcc-11
  (package
   (inherit gcc-8)
   (version "11.3.0")
--8<---------------cut here---------------end--------------->8---

The package =E2=80=99gcc=E2=80=99 by itself is not barely useful because yo=
u also need
linker etc. Well, you usually need a complete toolchain, named
gcc-toolchain. ;-)

See manual: <https://guix.gnu.org/manual/devel/en/guix.html#The-GCC-toolcha=
in>


So this is not a bug and I miss how what could be improved.  Closing?

Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#59278; Package guix. Full text available.
bug closed, send any further explanations to 59278 <at> debbugs.gnu.org and bbb ee <blasforr@HIDDEN> Request was from bbb ee <blasforr@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 59278 <at> debbugs.gnu.org:


Received: (at 59278) by debbugs.gnu.org; 15 Nov 2022 10:30:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 05:30:56 2022
Received: from localhost ([127.0.0.1]:53062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1outDU-0003MO-9B
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 05:30:56 -0500
Received: from mail-lj1-f169.google.com ([209.85.208.169]:36455)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <blasforr@HIDDEN>) id 1outDS-0003MC-42
 for 59278 <at> debbugs.gnu.org; Tue, 15 Nov 2022 05:30:54 -0500
Received: by mail-lj1-f169.google.com with SMTP id u2so16921508ljl.3
 for <59278 <at> debbugs.gnu.org>; Tue, 15 Nov 2022 02:30:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=9/ScFnOOSRcI12HRe4ICq/gayHqceupsZVSI+OBbI5A=;
 b=WwHkRGz2SRoLnQVcKnFVZZST+4JuY2mu9gBaF36kpX4WHKAX0e9q0l81YrNiWFlkPU
 9lysEdxnRdONFVuFvCXwZHzdaG3f6BKv4aPXv5MmQolkU2iSx2c5o/7Ieat2awrBMwD8
 +G0lrThXQ893WQvRyzIvvZI0P+UpogLxYWLBD/Lly77PSdOqKhg85PgX+tDihDCStYbP
 l+Uf4Hkb4nmDOH0KcPYUrK2sErGJn2JtAnQdfU3L4+vKAzlCfzd4w/nlhgf9s2NZowPd
 5ROsUk6iU2rkg0JfxHWvX21UT7qW5XHsAvaT3yf/0aw0is2bzbT0Yq5h2FyINA2avHvT
 5oXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=9/ScFnOOSRcI12HRe4ICq/gayHqceupsZVSI+OBbI5A=;
 b=LycGx+fG2ULpvkoEa3k7fTJHsf/q/yx5xvFmj7STiXpsBJ3gB37EMkTBukBxZwK2LW
 6fCBxLnx4SWP3nmYsI/dmLcPn6YfCRKto+NgXM7Lh2idl8UaX/rBW+/GZm8mytU9uQYL
 x8X4+4qtvsApa6IME9q7nB9aHe6ChqDJn52sXpCgzkRGSolsauK/OpDUbu+JvLGdZkRP
 Gh/iqV5RSZ/doOyP3S3opW7U1oH2T3v78MSuz3pWAYmnY/6OHlMl3GDEgpHBXcy1dnUl
 uAS7LZB49Pa+X/4C0H8rnt9yMXTlQwhnEZgMYtCo8mDsvZX0WYoK7MZVa6B5yc5ElL0G
 mesQ==
X-Gm-Message-State: ANoB5plLIi1L0hn/KJ1HACKG4eV7ES1SlICer2llMUdsDw0QJS7Odd/F
 zwJf8rqtuFog6gxTqN5+gjizOFYq4Tns8MbHZIhHDbaIYco=
X-Google-Smtp-Source: AA0mqf63A3eExjCYEJYwN4Vhj/lRssfWFfTz28ejiwsshAu8FpCc7nVk2lRpP9Ude3+oZFc8XOT9U42lFbZeaVDzH8M=
X-Received: by 2002:a2e:9042:0:b0:277:351f:bcdc with SMTP id
 n2-20020a2e9042000000b00277351fbcdcmr5833348ljg.351.1668508248249; Tue, 15
 Nov 2022 02:30:48 -0800 (PST)
MIME-Version: 1.0
From: bbb ee <blasforr@HIDDEN>
Date: Tue, 15 Nov 2022 11:30:37 +0100
Message-ID: <CALNLCmU+5NRv2+YCWUA5+oDpUD9-5Jia8K2aQ1JhKbxoT_=7hQ@HIDDEN>
Subject: 
To: 59278 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000711ac505ed7fd928"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  close #59278 close #59278 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (blasforr[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.208.169 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.208.169 listed in wl.mailspike.net]
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 59278
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--000000000000711ac505ed7fd928
Content-Type: text/plain; charset="UTF-8"

close #59278

--000000000000711ac505ed7fd928
Content-Type: text/html; charset="UTF-8"

<div dir="ltr">close #59278</div>

--000000000000711ac505ed7fd928--




Information forwarded to bug-guix@HIDDEN:
bug#59278; Package guix. Full text available.

Message received at 59278 <at> debbugs.gnu.org:


Received: (at 59278) by debbugs.gnu.org; 15 Nov 2022 10:30:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 05:30:14 2022
Received: from localhost ([127.0.0.1]:53053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1outCo-0003LC-Bl
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 05:30:14 -0500
Received: from mail-lj1-f179.google.com ([209.85.208.179]:44986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <blasforr@HIDDEN>) id 1outCm-0003Ky-VW
 for 59278 <at> debbugs.gnu.org; Tue, 15 Nov 2022 05:30:13 -0500
Received: by mail-lj1-f179.google.com with SMTP id s24so16909192ljs.11
 for <59278 <at> debbugs.gnu.org>; Tue, 15 Nov 2022 02:30:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=Hz0l4Qd40vcAx2qFprt0JypcW5yIM3iRUsMAwe/GNqY=;
 b=bTCcU8ZTa12H24EPQZDpSMwSTZyfMdlvf2GXwTMZ95ZzUbZDvCzjYKiPbbGNDe9DXa
 Twrp9PwlktSwNgBZ4huU1+7h22buArOY8peCuwKnmG6u/N23iDnVgirquTraSbt2nXZR
 WPl6pKRVtM7W2vD88vDpW9PMYUwW2MO1f0oL6umv8RZJGv2Q3pAdwAWXUPHI0lqADIWB
 hekI3xknpQWSo9gN5ijdT2K8Wd5Tf/sNJo3EpjEWSWtBgMWZPZVFL0oi0JIE9d7530P1
 5TuQPq0oUxhXbKiKj7woTk0kpGHigC3qZfgG3DwGoeA698Kt1lndebD9l/Iyq1V0jS3N
 Dm0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=Hz0l4Qd40vcAx2qFprt0JypcW5yIM3iRUsMAwe/GNqY=;
 b=l2JM0PJkSBpGEFjyk7ByF8OUemVRvKB20rkAQUw6FYVtfycMeIZYekNaPTTCQ1BoE1
 +yyA3kSSjOmKId015l0wmaJeON0yF5CUWl6moX+mcvnV4U4WJDQ2LlxSproPmWKaZXQB
 pJh8/6u69V9ccOy22FsdeEsmjNWbZldkIw6LpxnR5y6MxoHaKIf6ILpcvilBvWKItorq
 MwJbwpfeYMFacxEDMAami0iT1LktvlPWvhx4tj2/fPlztWVgfe6HflN2siUsnz2/UvmN
 HcQ1UyGlKRBTeP3nFYR7Sg5fyINS0ILOP7jtCmDJ5b0IVeDjKV49zN94tTyJsEpd5Ebq
 N1zg==
X-Gm-Message-State: ANoB5pm6fKUMIIsby9qkaHCB1BHvkbgsIdSKw0vLr/9Ec2h49MdV8/Xx
 92QTnn5yXr88iVwCIlUmMe++iUJHIG7iraSrdYE=
X-Google-Smtp-Source: AA0mqf5j5glHSgzQtq7CSHlThUioqZlse9vrGQBAol+iCO4T7OoUFxfMfOhsx9d4S4qn2906H/4LcOdVUxkdGQ3hrqI=
X-Received: by 2002:a05:651c:2106:b0:267:9d30:5ba with SMTP id
 a6-20020a05651c210600b002679d3005bamr5529272ljq.284.1668508205765; Tue, 15
 Nov 2022 02:30:05 -0800 (PST)
MIME-Version: 1.0
References: <CALNLCmUJOyvfjELjW-YcF+hDgwxPH1SoEcZm2hMOAtmt6vr36g@HIDDEN>
 <83ED95D5-441E-43FB-9BBD-93338342E07A@HIDDEN>
In-Reply-To: <83ED95D5-441E-43FB-9BBD-93338342E07A@HIDDEN>
From: bbb ee <blasforr@HIDDEN>
Date: Tue, 15 Nov 2022 11:29:54 +0100
Message-ID: <CALNLCmVjTPPLbW4=WgAdRfvc7JSiZ3cWy9AyJqWZJgfA4=9vAA@HIDDEN>
Subject: Re: bug#59278: how gcc-toolchain can depends a package who doesn't
 exists?
To: Julien Lepiller <julien@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000e8d86c05ed7fd60a"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59278
Cc: 59278 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000e8d86c05ed7fd60a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Thanks, I close the issue

Le mar. 15 nov. 2022 =C3=A0 07:27, Julien Lepiller <julien@HIDDEN> a =
=C3=A9crit :

> Hi,
>
> This is not a bug. The gcc package exists, but is hidden from CLI on
> purpose because you shouldn't install it and use it directly. You should
> use gcc-toolchain instead.
>
> Le 15 novembre 2022 00:53:32 GMT+01:00, bbb ee <blasforr@HIDDEN> a
> =C3=A9crit :
>>
>> in version c81457a5883ea43950eb2ecdcbb58a5b144bcd11 of guix,
>> gcc-toolchain depends gcc:
>> ```
>> $ DEFAULT_CHANNELS=3D/tmp/default_channels.scm
>> $ echo "%default-channels" > $DEFAULT_CHANNELS
>> # I force guix to use only %default-channels here
>> $ guix time-machine --commit=3Dc81457a5883ea43950eb2ecdcbb58a5b144bcd11 =
 -C
>> $DEFAULT_CHANNELS -- search gcc-toolchain
>> guile: warning: failed to install locale
>> name: gcc-toolchain
>> version: 9.3.0
>> outputs: out debug static
>> systems: x86_64-linux i686-linux
>> dependencies: binutils@HIDDEN gcc@HIDDEN glibc@HIDDEN ld-wrapper@0
>> ```
>>
>>
>> However, I can't find gcc package in this version of guix
>> ```
>> $ guix time-machine --commit=3Dc81457a5883ea43950eb2ecdcbb58a5b144bcd11 =
 -C
>> $DEFAULT_CHANNELS -- search gcc
>> # no found gcc
>>
>> # guix install failure message confirm that gcc doesn't exist in commit
>> c81457
>> $ guix time-machine --commit=3Dc81457a5883ea43950eb2ecdcbb58a5b144bcd11 =
-C
>> $DEFAULT_CHANNELS -- install gcc -p ~/opt/python-dev_3_7
>> guile: warning: failed to install locale
>> guix install: error: gcc: unknown package
>> ```
>>
>> in commit c81457, how gcc-toolchain can depends a package who doesn't
>> exists?
>>
>

--000000000000e8d86c05ed7fd60a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Thanks, I close the issue<br></div><br><div class=3D"gmail=
_quote"><div dir=3D"ltr" class=3D"gmail_attr">Le=C2=A0mar. 15 nov. 2022 =C3=
=A0=C2=A007:27, Julien Lepiller &lt;<a href=3D"mailto:julien@HIDDEN">j=
ulien@HIDDEN</a>&gt; a =C3=A9crit=C2=A0:<br></div><blockquote class=3D=
"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(2=
04,204,204);padding-left:1ex"><div>Hi,<br><br>This is not a bug. The gcc pa=
ckage exists, but is hidden from CLI on purpose because you shouldn&#39;t i=
nstall it and use it directly. You should use gcc-toolchain instead.<br><br=
><div class=3D"gmail_quote">Le 15 novembre 2022 00:53:32 GMT+01:00, bbb ee =
&lt;<a href=3D"mailto:blasforr@HIDDEN" target=3D"_blank">blasforr@gmail.=
com</a>&gt; a =C3=A9crit=C2=A0:<blockquote class=3D"gmail_quote" style=3D"m=
argin:0pt 0pt 0pt 0.8ex;border-left:1px solid rgb(204,204,204);padding-left=
:1ex">
<div dir=3D"ltr">in version c81457a5883ea43950eb2ecdcbb58a5b144bcd11 of gui=
x, gcc-toolchain depends gcc:<br>```<br>$ DEFAULT_CHANNELS=3D/tmp/default_c=
hannels.scm<br>$ echo &quot;%default-channels&quot; &gt; $DEFAULT_CHANNELS<=
br># I force guix to use only %default-channels here<br>$ guix time-machine=
 --commit=3Dc81457a5883ea43950eb2ecdcbb58a5b144bcd11 =C2=A0-C $DEFAULT_CHAN=
NELS -- search gcc-toolchain<br>guile: warning: failed to install locale<br=
>name: gcc-toolchain<br>version: 9.3.0<br>outputs: out debug static<br>syst=
ems: x86_64-linux i686-linux<br>dependencies: binutils@HIDDEN gcc@HIDDEN glibc=
@2.29 ld-wrapper@0<br>```<br><br><br>However, I can&#39;t find gcc package =
in this version of guix<br>```<br>$ guix time-machine --commit=3Dc81457a588=
3ea43950eb2ecdcbb58a5b144bcd11 =C2=A0-C $DEFAULT_CHANNELS -- search gcc<br>=
# no found gcc<br><br># guix install failure message confirm that gcc doesn=
&#39;t exist in commit c81457<br>$ guix time-machine --commit=3Dc81457a5883=
ea43950eb2ecdcbb58a5b144bcd11 -C $DEFAULT_CHANNELS -- install gcc -p ~/opt/=
python-dev_3_7<br>guile: warning: failed to install locale<br>guix install:=
 error: gcc: unknown package<br>```<br><br>in commit c81457, how gcc-toolch=
ain can depends a package who doesn&#39;t exists?</div>
</blockquote></div></div></blockquote></div>

--000000000000e8d86c05ed7fd60a--




Information forwarded to bug-guix@HIDDEN:
bug#59278; Package guix. Full text available.

Message received at 59278 <at> debbugs.gnu.org:


Received: (at 59278) by debbugs.gnu.org; 15 Nov 2022 06:27:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 01:27:08 2022
Received: from localhost ([127.0.0.1]:52617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oupPY-0005Vf-DR
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 01:27:08 -0500
Received: from lepiller.eu ([89.234.186.109]:40246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1oupPW-0005VW-Vd
 for 59278 <at> debbugs.gnu.org; Tue, 15 Nov 2022 01:27:07 -0500
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id e9211aa0;
 Tue, 15 Nov 2022 06:27:04 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date:from
 :to:subject:in-reply-to:references:message-id:mime-version
 :content-type:content-transfer-encoding; s=dkim; bh=PzGw+bGvkKvX
 Lgl/nzmhqMvv2ZU9OGksIYfCrkcbhqY=; b=PstAt6c1J3DVE8A18mYXOheaKu4c
 J7evMpoBFTXqSsweHk+EGoNKbssdf7ogojxZSCofs2j0SIV4C+KoeOQjMxM/IgCa
 9lymIFpmEIOr+XZXZD7pXPqTrFKzWQSa+0mwPqXFSBWqSPDb5r280alKV2g2GQX+
 f225mAVmzfJwxE/odwvCUXjo0XKRp/VmPdCXsUqjRw74Nv+Fa0uTAv/VHXqYyg6J
 THm6SqXdrZBsVHK0L4sMCDlkU9iLd6DP5LKXIqpceDPbf7AhdoxQMAgZGvUoPBVV
 VoThrJRSgk1jcevPM2Yr2GYxFgnoWI9xfRmzkhgk0/nThZkw66bjhe56TQ==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id e94341ab
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Tue, 15 Nov 2022 06:27:04 +0000 (UTC)
Date: Tue, 15 Nov 2022 07:26:25 +0100
From: Julien Lepiller <julien@HIDDEN>
To: bbb ee <blasforr@HIDDEN>, 59278 <at> debbugs.gnu.org
Subject: =?US-ASCII?Q?Re=3A_bug=2359278=3A_how_gcc-toolchain_can_?=
 =?US-ASCII?Q?depends_a_package_who_doesn=27t_exists=3F?=
User-Agent: K-9 Mail for Android
In-Reply-To: <CALNLCmUJOyvfjELjW-YcF+hDgwxPH1SoEcZm2hMOAtmt6vr36g@HIDDEN>
References: <CALNLCmUJOyvfjELjW-YcF+hDgwxPH1SoEcZm2hMOAtmt6vr36g@HIDDEN>
Message-ID: <83ED95D5-441E-43FB-9BBD-93338342E07A@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary=----Y9A32FCVZVOSIJY4MAZZX3W5KXYQCG
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59278
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------Y9A32FCVZVOSIJY4MAZZX3W5KXYQCG
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,

This is not a bug=2E The gcc package exists, but is hidden from CLI on pur=
pose because you shouldn't install it and use it directly=2E You should use=
 gcc-toolchain instead=2E

Le 15 novembre 2022 00:53:32 GMT+01:00, bbb ee <blasforr@gmail=2Ecom> a =
=C3=A9crit=C2=A0:
>in version c81457a5883ea43950eb2ecdcbb58a5b144bcd11 of guix, gcc-toolchai=
n
>depends gcc:
>```
>$ DEFAULT_CHANNELS=3D/tmp/default_channels=2Escm
>$ echo "%default-channels" > $DEFAULT_CHANNELS
># I force guix to use only %default-channels here
>$ guix time-machine --commit=3Dc81457a5883ea43950eb2ecdcbb58a5b144bcd11  =
-C
>$DEFAULT_CHANNELS -- search gcc-toolchain
>guile: warning: failed to install locale
>name: gcc-toolchain
>version: 9=2E3=2E0
>outputs: out debug static
>systems: x86_64-linux i686-linux
>dependencies: binutils@2=2E32 gcc@9=2E3=2E0 glibc@2=2E29 ld-wrapper@0
>```
>
>
>However, I can't find gcc package in this version of guix
>```
>$ guix time-machine --commit=3Dc81457a5883ea43950eb2ecdcbb58a5b144bcd11  =
-C
>$DEFAULT_CHANNELS -- search gcc
># no found gcc
>
># guix install failure message confirm that gcc doesn't exist in commit
>c81457
>$ guix time-machine --commit=3Dc81457a5883ea43950eb2ecdcbb58a5b144bcd11 -=
C
>$DEFAULT_CHANNELS -- install gcc -p ~/opt/python-dev_3_7
>guile: warning: failed to install locale
>guix install: error: gcc: unknown package
>```
>
>in commit c81457, how gcc-toolchain can depends a package who doesn't
>exists?

------Y9A32FCVZVOSIJY4MAZZX3W5KXYQCG
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body>Hi,<br><br>This is not a bug=2E The gcc package ex=
ists, but is hidden from CLI on purpose because you shouldn't install it an=
d use it directly=2E You should use gcc-toolchain instead=2E<br><br><div cl=
ass=3D"gmail_quote">Le 15 novembre 2022 00:53:32 GMT+01:00, bbb ee &lt;blas=
forr@gmail=2Ecom&gt; a =C3=A9crit=C2=A0:<blockquote class=3D"gmail_quote" s=
tyle=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-left: 1px solid rgb(204, 204, 2=
04); padding-left: 1ex;">
<div dir=3D"ltr">in version c81457a5883ea43950eb2ecdcbb58a5b144bcd11 of gu=
ix, gcc-toolchain depends gcc:<br>```<br>$ DEFAULT_CHANNELS=3D/tmp/default_=
channels=2Escm<br>$ echo "%default-channels" &gt; $DEFAULT_CHANNELS<br># I =
force guix to use only %default-channels here<br>$ guix time-machine --comm=
it=3Dc81457a5883ea43950eb2ecdcbb58a5b144bcd11 &nbsp;-C $DEFAULT_CHANNELS --=
 search gcc-toolchain<br>guile: warning: failed to install locale<br>name: =
gcc-toolchain<br>version: 9=2E3=2E0<br>outputs: out debug static<br>systems=
: x86_64-linux i686-linux<br>dependencies: binutils@2=2E32 gcc@9=2E3=2E0 gl=
ibc@2=2E29 ld-wrapper@0<br>```<br><br><br>However, I can't find gcc package=
 in this version of guix<br>```<br>$ guix time-machine --commit=3Dc81457a58=
83ea43950eb2ecdcbb58a5b144bcd11 &nbsp;-C $DEFAULT_CHANNELS -- search gcc<br=
># no found gcc<br><br># guix install failure message confirm that gcc does=
n't exist in commit c81457<br>$ guix time-machine --commit=3Dc81457a5883ea4=
3950eb2ecdcbb58a5b144bcd11 -C $DEFAULT_CHANNELS -- install gcc -p ~/opt/pyt=
hon-dev_3_7<br>guile: warning: failed to install locale<br>guix install: er=
ror: gcc: unknown package<br>```<br><br>in commit c81457, how gcc-toolchain=
 can depends a package who doesn't exists?</div>
</blockquote></div></body></html>
------Y9A32FCVZVOSIJY4MAZZX3W5KXYQCG--




Information forwarded to bug-guix@HIDDEN:
bug#59278; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Nov 2022 06:16:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 01:16:26 2022
Received: from localhost ([127.0.0.1]:52605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oupFB-0005FR-VM
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 01:16:26 -0500
Received: from lists.gnu.org ([209.51.188.17]:56096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <blasforr@HIDDEN>) id 1oujGx-0001ao-4A
 for submit <at> debbugs.gnu.org; Mon, 14 Nov 2022 18:53:51 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <blasforr@HIDDEN>)
 id 1oujGu-0001as-1t
 for bug-guix@HIDDEN; Mon, 14 Nov 2022 18:53:49 -0500
Received: from mail-lf1-x132.google.com ([2a00:1450:4864:20::132])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <blasforr@HIDDEN>)
 id 1oujGs-0001M1-Ej
 for bug-guix@HIDDEN; Mon, 14 Nov 2022 18:53:47 -0500
Received: by mail-lf1-x132.google.com with SMTP id j4so22012979lfk.0
 for <bug-guix@HIDDEN>; Mon, 14 Nov 2022 15:53:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=Bc6rVOot5fus7BtswaSqAHvSpK2s+ms47VWfz4uyeoY=;
 b=npd0p7RSjo/2m9O54oeYN7YszZHsaO44Xy+wwZ/hDdDp+kaethAZpQKfMM2VvwGrdI
 VC70PTgIQyE+y7p2QMiz6+KnfaA6OqZ/oPHUzJc7hk2K3wSw7HaQWs5oTuf7KZIWaTBS
 VfEfPCIGrQUuQKVfdGZAzSs8dxsLouQV0aIh1MSxNLaGtCrMtlKVCAYlJtBISyq+Cc//
 j5J1jEqmv3j+k8ICv/4hwieZ5OSw2e5fUGY7VeZSpULG+CeAtRYNlgepRb9eL1nnlh/V
 NfksPk7rNXuEBmJpKqANeL5AFElvbBq8T1/yQtdsUi22SVsNsILFSgg11ACXrOE4yeTd
 f5AA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=Bc6rVOot5fus7BtswaSqAHvSpK2s+ms47VWfz4uyeoY=;
 b=uH1dVVfSc6z92jbuEsjME/xO+u8SjxdEiTXOTrFi2w9hi4ypFyBSuExpAmllIn5nxl
 tOWBr3cDqds2JqEOYVw7HMWN/pKiUtu9FUsBAsncqE6E/4rYQ57AJGSuLPGePHIy1fNr
 5N8cMoaHa1hLFyPdP95Feva2qbmxGeuYB45Re82z+eEe6hU/HX4wkGFaioVBGFIopRrU
 6zC3L86Q+KL5y1ETuBV9hRLZsFr5OfJsQ1Bg2h+5eMwJ/GHZczr6+JP00RUf45bDZ87y
 ohDtlpAuUZV8nWbTh3Uk2yTukBC9qZL3+oPQ57+mr1T37wlsUhH9utxaPWsim5S2/Cl8
 0l2w==
X-Gm-Message-State: ANoB5pmavPdjYtRgboq2sbGjHkmDyiMOY4YcuaA+tuXRwWeVLBLAubGv
 r3DdO0OFUvFvqWaqsoQq8s7xDXD6rReOpX8CcwhCnP6mmUQ=
X-Google-Smtp-Source: AA0mqf6t35HUhokHE9+uqz3paBMfW/46SfIbVHuHWN9/CpJajQI42qEnx0kn4Am8xvMM1AhyctNira4Hm3ZBnqRKEwk=
X-Received: by 2002:a05:6512:2a8a:b0:4a0:2b7b:3f27 with SMTP id
 dt10-20020a0565122a8a00b004a02b7b3f27mr4622150lfb.443.1668470023596; Mon, 14
 Nov 2022 15:53:43 -0800 (PST)
MIME-Version: 1.0
From: bbb ee <blasforr@HIDDEN>
Date: Tue, 15 Nov 2022 00:53:32 +0100
Message-ID: <CALNLCmUJOyvfjELjW-YcF+hDgwxPH1SoEcZm2hMOAtmt6vr36g@HIDDEN>
Subject: how gcc-toolchain can depends a package who doesn't exists?
To: bug-guix@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000132d8e05ed76f3b6"
Received-SPF: pass client-ip=2a00:1450:4864:20::132;
 envelope-from=blasforr@HIDDEN; helo=mail-lf1-x132.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 15 Nov 2022 01:16:24 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000132d8e05ed76f3b6
Content-Type: text/plain; charset="UTF-8"

in version c81457a5883ea43950eb2ecdcbb58a5b144bcd11 of guix, gcc-toolchain
depends gcc:
```
$ DEFAULT_CHANNELS=/tmp/default_channels.scm
$ echo "%default-channels" > $DEFAULT_CHANNELS
# I force guix to use only %default-channels here
$ guix time-machine --commit=c81457a5883ea43950eb2ecdcbb58a5b144bcd11  -C
$DEFAULT_CHANNELS -- search gcc-toolchain
guile: warning: failed to install locale
name: gcc-toolchain
version: 9.3.0
outputs: out debug static
systems: x86_64-linux i686-linux
dependencies: binutils@HIDDEN gcc@HIDDEN glibc@HIDDEN ld-wrapper@0
```


However, I can't find gcc package in this version of guix
```
$ guix time-machine --commit=c81457a5883ea43950eb2ecdcbb58a5b144bcd11  -C
$DEFAULT_CHANNELS -- search gcc
# no found gcc

# guix install failure message confirm that gcc doesn't exist in commit
c81457
$ guix time-machine --commit=c81457a5883ea43950eb2ecdcbb58a5b144bcd11 -C
$DEFAULT_CHANNELS -- install gcc -p ~/opt/python-dev_3_7
guile: warning: failed to install locale
guix install: error: gcc: unknown package
```

in commit c81457, how gcc-toolchain can depends a package who doesn't
exists?

--000000000000132d8e05ed76f3b6
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">in version c81457a5883ea43950eb2ecdcbb58a5b144bcd11 of gui=
x, gcc-toolchain depends gcc:<br>```<br>$ DEFAULT_CHANNELS=3D/tmp/default_c=
hannels.scm<br>$ echo &quot;%default-channels&quot; &gt; $DEFAULT_CHANNELS<=
br># I force guix to use only %default-channels here<br>$ guix time-machine=
 --commit=3Dc81457a5883ea43950eb2ecdcbb58a5b144bcd11 =C2=A0-C $DEFAULT_CHAN=
NELS -- search gcc-toolchain<br>guile: warning: failed to install locale<br=
>name: gcc-toolchain<br>version: 9.3.0<br>outputs: out debug static<br>syst=
ems: x86_64-linux i686-linux<br>dependencies: binutils@HIDDEN gcc@HIDDEN glibc=
@2.29 ld-wrapper@0<br>```<br><br><br>However, I can&#39;t find gcc package =
in this version of guix<br>```<br>$ guix time-machine --commit=3Dc81457a588=
3ea43950eb2ecdcbb58a5b144bcd11 =C2=A0-C $DEFAULT_CHANNELS -- search gcc<br>=
# no found gcc<br><br># guix install failure message confirm that gcc doesn=
&#39;t exist in commit c81457<br>$ guix time-machine --commit=3Dc81457a5883=
ea43950eb2ecdcbb58a5b144bcd11 -C $DEFAULT_CHANNELS -- install gcc -p ~/opt/=
python-dev_3_7<br>guile: warning: failed to install locale<br>guix install:=
 error: gcc: unknown package<br>```<br><br>in commit c81457, how gcc-toolch=
ain can depends a package who doesn&#39;t exists?</div>

--000000000000132d8e05ed76f3b6--




Acknowledgement sent to bbb ee <blasforr@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#59278; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 16 Nov 2022 09:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.